// SPDX-License-Identifier: MIT
 
#include "moe_ck_gemm_common.cuh"

using A0DataType = B16;
using B0DataType = B16;
using AccDataType = F32;
using EDataType = B16;
using CDEElementOp = TypeCast;
const bool Nswizzle = false;
const bool PerTensorQuant = true;
CK_MOE_STAGE2_GEMM_DEFINE(32, 256/sizeof(A0DataType), 1, 4, false)
CK_MOE_STAGE2_GEMM_DEFINE(64, 256/sizeof(A0DataType), 1, 4, false)
CK_MOE_STAGE2_GEMM_DEFINE(128, 128/sizeof(A0DataType), 2, 2, false)